#include "ScrollArea.h"
#include <iostream>
using namespace std;

ScrollArea::ScrollArea(QWidget* parent) : QScrollArea(parent), nr(0) {}

void ScrollArea::mouseMoveEvent(QMouseEvent* e)
{
	cout << nr++ << " moveEvent, x: " << e->x() << ", y: " << e->y() << endl;
}

void ScrollArea::mousePressEvent(QMouseEvent* e)
{
	cout << nr++ << " press: " << e->x() << ", y: " << e->y() << endl;
}

void ScrollArea::mouseReleaseEvent(QMouseEvent* e)
{
	cout << nr++ << " release: " << e->x() << ", y: " << e->y() << endl;
}

void ScrollArea::mouseDoubleClickEvent(QMouseEvent* e)
{
	cout << nr++ << " doubleClick: " << e->x() << ", y: " << e->y() << endl;
}
